\name{plot.hcoef.post}
\alias{plot.hcoef.post}
\concept{MCMC}
\concept{plot}
\concept{hierarchical model}
\title{Plot Method for Hierarchical Model Coefficients }
\description{
   \code{plot.hcoef.post} plots arrays of hierarchical coefficients.}
\usage{
plot.hcoef.post(x,spmname,spm, burnin=trunc(.1*R), ...)}
\arguments{
  \item{x}{"betadraw" object generated by the MCMC simulation}
  \item{spmname}{name associated with the thresholded voxels, e.g. "activated", "non-activated"}
  \item{spm}{threshold active, or non-active voxel, coefficients}
  \item{burnin}{n. of draws to burnin, def: .1*R }
  \item{...}{ standard graphics parameters }
}
\details{
See description of similar function in \code{bayesm::plot.bayesm.hcoef}.}
\seealso{
  \code{\link{cudaMultireg.slice}}
  \code{\link{pmeans.hcoef}}
  \code{\link{regpostsim}}
  \code{\link{post.simul.hist}}
  \code{\link{post.simul.betadraw}}}
\keyword{ hplot }
